Subject: [regext] RDAP-JCR -04

From: Andrew Newton <[email-masked]>
Date: Mon, 18 Dec 2017 12:49:58 -0500

All,

Based on feedback from the last IETF meeting, I've updated the RDAP
JCR draft. This incorporates feedback from Mario Loffredo and Bernhard
Reutner-Fischer, as well as addressing some of the concerns Mario
raised (at the time I did not grasp the full meaning of his points).

Enjoy!

-andy

A new version of I-D, draft-newton-rdap-jcr-04.txt
has been successfully submitted by Andrew Lee Newton and posted to the
IETF repository.

Name:           draft-newton-rdap-jcr
Revision:       04
Title:          A Description of RDAP JSON Messages Using JSON Content Rules
Document date:  2017-12-18
Group:          Individual Submission
Pages:          28
URL:
https://www.ietf.org/internet-drafts/draft-newton-rdap-jcr-04.txt
Status:         https://datatracker.ietf.org/doc/draft-newton-rdap-jcr/
Htmlized:       https://tools.ietf.org/html/draft-newton-rdap-jcr-04
Htmlized:       https://datatracker.ietf.org/doc/html/draft-newton-rdap-jcr-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-newton-rdap-jcr-04

Abstract:
   This document describes the JSON responses in the Registration Data
   Access Protocol with the formal notation of JSON Content Rules.

---

From: Mario Loffredo <[email-masked]>
Date: Tue, 19 Dec 2017 11:23:17 +0100

Hi Andy,

I found two possible issues to fix:

1) I think there is a typo in $nameserver_mixin declaration

"ip6" : [ ipv6 ? ] ? should be "v6" : [ ipv6 ? ] ?

If so, there are two wrong occurrences in the document.

2)  It seems to me that the @{unordered} annotation of $vcard definition 
is not compliant with what it states in RFC6350 (section 6.7.9.) and 
RFC7095 (section 3.3.1.1.).
The properties in the vCard array can appear in any order but "version" 
must be the first one anyway.

Regards
Mario

Il 18/12/2017 18:49, Andrew Newton ha scritto:
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

-- 
Dr. Mario Loffredo
Servizi Internet e Sviluppo Tecnologico
CNR - Istituto di Informatica e Telematica
via G. Moruzzi 1, I-56124 PISA, Italy
E-Mail: [email-masked]
Phone: +39 050 3153497
Web: http://www.iit.cnr.it/mario.loffredo

---

From: Andrew Newton <[email-masked]>
Date: Thu, 21 Dec 2017 09:07:11 -0500

Mario,

> "ip6" : [ ipv6 ? ] ? should be "v6" : [ ipv6 ? ] ?

I agree. Fixed...

> 2)  It seems to me that the @{unordered} annotation of $vcard definition is
> not compliant with what it states in RFC6350 (section 6.7.9.) and RFC7095
> (section 3.3.1.1.).
> The properties in the vCard array can appear in any order but "version" must
> be the first one anyway.

Actually, it's worse than that. After reviewing jCard again I've
changed the definition to:

; See RFC 7095
$vcard = [
   [ "version", {}, "text", "4.0" ],
   [ /^((?!fn).)*$/, $property_attributes ] *,
   [ "fn", {}, "text", string ],
   [ string, $property_attributes ] *
]

$property_attributes = (
  { /.*/:any * },
  $property_type,
  ( string | [ ( string | [ string * ] ) * ] )
)

$property_type =: (
  "text" |
  "uri" |
  "date-time" |
  "date-and-or-time" |
  "timestamp" |
  "boolean" |
  "integer" |
  "float" |
  "utc-offset" |
  "language-tag" |
  /^x-.*/
)

Annoying but it seems to work.

I've made the changes in the git repo, but I will wait to see if there
is any other feedback before issuing an -05 of the draft.

Thanks for your help.

-andy

---

From: Mario Loffredo <[email-masked]>
Date: Thu, 21 Dec 2017 16:35:28 +0100

Hi Andy,

> is any other feedback before issuing an -05 of the draft.

I am aware that jCard definition is a trouble.
I think that if you want to really use RDAP-JCR rules to strictly 
validate RDAP responses, you should provide a more comprehensive (but, 
unfortunately, much more annoying) description of jCard.
Since jCard is not used only in RDAP, you can think of reporting it in a 
separate document.

Regards
Mario